package com.faraphel.tasks_valider.database.dao

import androidx.room.Dao
import androidx.room.Query
import com.faraphel.tasks_valider.database.dao.base.BaseDao
import com.faraphel.tasks_valider.database.entities.Person
import com.faraphel.tasks_valider.database.entities.Student
import com.faraphel.tasks_valider.database.entities.Teacher


@Dao
interface TeacherDao : BaseDao<Teacher> {
    @Query("SELECT * FROM `teachers`")
    override fun getAll(): List<Teacher>

    @Query("SELECT * FROM `teachers` WHERE id = :id")
    fun getById(id: Long): Teacher
}
